List registered webhooks
curl --request GET \
--url https://api.godiligent.ai/webhooks \
--header 'X-API-KEY: <api-key>'import requests
url = "https://api.godiligent.ai/webhooks"
headers = {"X-API-KEY": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-KEY': '<api-key>'}};
fetch('https://api.godiligent.ai/webhooks', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.godiligent.ai/webhooks",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-KEY: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.godiligent.ai/webhooks"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-KEY", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.godiligent.ai/webhooks")
.header("X-API-KEY", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.godiligent.ai/webhooks")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-API-KEY"] = '<api-key>'
response = http.request(request)
puts response.read_body[
{
"id": "<string>",
"webhook_url": "<string>",
"is_active": true,
"has_secret": true,
"status": "active",
"last_delivery_at": "2023-11-07T05:31:56Z",
"last_delivery_status": 123,
"events": [
"cdd_state_changed"
]
}
]Webhooks
List Webhooks
List all webhooks registered for your account.
GET
/
webhooks
List registered webhooks
curl --request GET \
--url https://api.godiligent.ai/webhooks \
--header 'X-API-KEY: <api-key>'import requests
url = "https://api.godiligent.ai/webhooks"
headers = {"X-API-KEY": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-KEY': '<api-key>'}};
fetch('https://api.godiligent.ai/webhooks', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.godiligent.ai/webhooks",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-KEY: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.godiligent.ai/webhooks"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-KEY", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.godiligent.ai/webhooks")
.header("X-API-KEY", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.godiligent.ai/webhooks")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-API-KEY"] = '<api-key>'
response = http.request(request)
puts response.read_body[
{
"id": "<string>",
"webhook_url": "<string>",
"is_active": true,
"has_secret": true,
"status": "active",
"last_delivery_at": "2023-11-07T05:31:56Z",
"last_delivery_status": 123,
"events": [
"cdd_state_changed"
]
}
]Endpoint
GET /webhooks
Returns all webhooks registered for the authenticated customer.
Response
A JSON array of webhook objects. The signingsecret is never returned; has_secret indicates whether one is configured.
| Field | Type | Description |
|---|---|---|
| id | string | Unique webhook ID. |
| webhook_url | string | The endpoint URL. |
| is_active | boolean | Whether the webhook is active. |
| has_secret | boolean | Whether a signing secret is configured. |
| status | string | Derived health: disabled (inactive), failing (last delivery non-2xx), or active. |
| last_delivery_at | string | null | ISO timestamp of the most recent delivery attempt, or null if none. |
| last_delivery_status | number | null | HTTP status of the most recent delivery attempt, or null if none. |
| events | string[] | Subscribed event types. |
Example Response
[
{
"id": "df89eb16-4c6a-439f-b668-7cca0cd786fa",
"webhook_url": "https://crm.example.com/diligent",
"is_active": true,
"has_secret": true,
"status": "active",
"last_delivery_at": "2025-07-31T02:51:34.155Z",
"last_delivery_status": 200,
"events": ["cdd_state_changed", "alert_remediated"]
},
{
"id": "5a1c0b2e-9f3d-4a7b-8c6d-2e1f0a9b8c7d",
"webhook_url": "https://warehouse.example.com/ingest",
"is_active": false,
"has_secret": false,
"status": "disabled",
"last_delivery_at": null,
"last_delivery_status": null,
"events": ["search_completed"]
}
]
Authentication
This endpoint requires authentication. Only webhooks owned by the authenticated customer are returned.Authorizations
Response
200 - application/json
All webhooks registered for the customer.
Unique ID for the webhook.
Whether a signing secret is configured. The secret itself is never returned.
Derived health: disabled when inactive, failing when the last delivery returned a non-2xx status, otherwise active.
Available options:
active, failing, disabled Timestamp of the most recent delivery attempt, or null if none.
HTTP status code of the most recent delivery attempt, or null if none.
Available options:
cdd_state_changed, monitoring_alert_fired, cdd_document_fetched, search_completed, alert_remediated, flow_run_completed, flow_run_failed ⌘I